Skip to main content

Create a new settlement request

POST 

/v1/linkandsettle/link

ISO-20022 compatible proprietary message. Initiate a Link and Settle by creating a new settlement request, which will be linked to a counterparty request and settled.

Webhooks will be called for both the initiating and counterparty participants to inform them of the status of the settlement and transactions that are created.

Both CdtTrfTxInf.DbtrAcct and CdtTrfTxInf.CdtrAcct must identify a TransferMate account using Id.Othr.Id. IBAN is not supported. The value must start with TRM followed by one or more digits (e.g. TRM123456).

CdtTrfTxInf.DbitAmt.Value must not exceed 11 digits in total, with a maximum of 2 decimal places.

Request​

Responses​

Accepted